Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 567524 - media-gfx/splashutils-1.5.4.4-r7 stable request
Summary: media-gfx/splashutils-1.5.4.4-r7 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Asaf Gery
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 568976
Blocks: 567376
  Show dependency tree
 
Reported: 2015-12-04 08:05 UTC by Andrew Savchenko
Modified: 2016-08-19 12:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Savchenko gentoo-dev 2015-12-04 08:05:40 UTC
Hi,

please stabilize splashutils-1.5.4.4-r6.

This is required to stabilize sys-power/suspend-1.0_p20150810 since current stable depends on vulnerable libgcrypt version.
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2015-12-17 12:45:48 UTC
This package has only been made stable in the past for amd64 x86

Arches please make stable =media-gfx/splashutils-1.5.4.4-r6

Arches:     amd64 x86
Comment 2 Andrew Savchenko gentoo-dev 2015-12-17 13:46:54 UTC
(In reply to Ian Delaney from comment #1)
> This package has only been made stable in the past for amd64 x86

This will be perfectly fine. While r6 still has some bugs open, this is a clear improvement over r5.
Comment 3 Gabor Kovari 2015-12-18 17:37:04 UTC
amd64 : ok (builds)

Built without USE="hardened"
Couldn`t test functionality.
Comment 4 Agostino Sarubbo gentoo-dev 2015-12-25 15:44:17 UTC
CC back amd64 when bug 568976 is resolved
Comment 5 Andrew Savchenko gentoo-dev 2016-01-30 11:42:10 UTC
Arches please stabilize =media-gfx/splashutils-1.5.4.4-r7.
Comment 6 Agostino Sarubbo gentoo-dev 2016-02-13 16:46:52 UTC
amd64 stable
Comment 7 Andrew Savchenko gentoo-dev 2016-04-30 23:19:17 UTC
@x86, ping here!
Comment 8 Kristian Fiskerstrand gentoo-dev Security 2016-06-10 18:24:27 UTC
(In reply to Andrew Savchenko from comment #7)
> @x86, ping here!

and another ping
Comment 9 Pacho Ramos gentoo-dev 2016-08-18 08:29:59 UTC
x86 stable
Comment 10 Marco 2016-08-19 11:31:02 UTC
Hi there,

I think, I've found an issue with the (latest) Splashutils package related to the changes of "/etc/mtab", which has become a simple link to "/proc/self/mounts" a few months before to be more sane.

But everytime the system is starting with a bootsplash, the link gets lost and a file "/etc/mtab" is created instead leading sometimes to inconsistent entries in mtab again.

The problem seems to be the sed call in line 497 (splashutils-1.5.4.4/src/libfbsplash.c):

/* Clear a stale mtab entry that might have been created by the initscripts. */
system("/bin/sed -i -e '\\#"FBSPLASH_CACHEDIR"# d' /etc/mtab");

Removing this line and recompiling Splashutils helps (at least for those, who have configured "/etc/init.d/mtab" with "mtab_is_file=no" (which is the default anyway in Gentoo AFAIK).

Regards,

Marco
Comment 11 Andrew Savchenko gentoo-dev 2016-08-19 12:17:50 UTC
(In reply to Marco from comment #10)
> Hi there,
> 
> I think, I've found an issue with the (latest) Splashutils package related
> to the changes of "/etc/mtab", which has become a simple link to
> "/proc/self/mounts" a few months before to be more sane.
> 
> But everytime the system is starting with a bootsplash, the link gets lost
> and a file "/etc/mtab" is created instead leading sometimes to inconsistent
> entries in mtab again.
> 
> The problem seems to be the sed call in line 497
> (splashutils-1.5.4.4/src/libfbsplash.c):
> 
> /* Clear a stale mtab entry that might have been created by the initscripts.
> */
> system("/bin/sed -i -e '\\#"FBSPLASH_CACHEDIR"# d' /etc/mtab");
> 
> Removing this line and recompiling Splashutils helps (at least for those,
> who have configured "/etc/init.d/mtab" with "mtab_is_file=no" (which is the
> default anyway in Gentoo AFAIK).
> 
> Regards,
> 
> Marco

Please open a new bug for this. Thanks.